%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname snmp
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary: A Ruby implementation of SNMP (the Simple Network Management Protocol)
Name: rubygem-%{gemname}
Version: 1.0.3
Release: 1%{?dist}
Group: Development/Languages
License: GPLv2 or Ruby
URL: http://snmplib.rubyforge.org
Source0: http://gems.rubyforge.org/gems/%{gemname}-%{version}.gem
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: rubygems
Requires: ruby(abi) = 1.8
BuildRequires: rubygems 
BuildRequires(check): rubygem(rake), rubygem(test-spec)
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
A Ruby implementation of SNMP (the Simple Network Management Protocol).

%prep
%setup -q -c -T

mkdir -p .%{gemdir}
gem install -V \
  --local \
  --install-dir $(pwd)/%{gemdir} \
  --force --rdoc \
  %{SOURCE0}

# Adding proper name spacing to test directory, otherwise 
# tests have issues between class Integer and SNMP::Integer
sed -i 's/Integer/SNMP::Integer/g' ./%{geminstdir}/test/*.rb

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* %{buildroot}%{gemdir}/

sed -i 's/\r//' %{buildroot}%{gemdir}/gems/snmp-%{version}/README
iconv -f ISO-8859-1 -t UTF-8  %{buildroot}%{gemdir}/gems/snmp-%{version}/README > readme.utf8 && \
mv -f readme.utf8 %{buildroot}%{gemdir}/gems/snmp-%{version}/README

%clean
rm -rf %{buildroot}

%check

pushd %{buildroot}%{geminstdir}
rake test
popd 

%files
%defattr(-, root, root, -)
%dir %{geminstdir} 
%{geminstdir}/lib
%{geminstdir}/data
%doc %{geminstdir}/Rakefile
%doc %{geminstdir}/setup.rb
%doc %{gemdir}/doc/%{gemname}-%{version} 
%doc %{geminstdir}/examples
%doc %{geminstdir}/test
%doc %{geminstdir}/README
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%changelog
* Thu Jun 10 2010 Michael Stahnke <stahnma@fedoraproject.org> - 1.0.3-1
- New version

* Mon May 24 2010 Michael Stahnke <stahnma@fedoraproject.org> - 1.0.2-1
- Fixes from review bug #587438
- Initial package
